1. Registry
  2. Packages
  3. Azure Native
  4. API Docs
  5. web
  6. getWebAppHybridConnectionSlot
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.26.0
published on Thursday, Aug 13, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.26.0
published on Thursday, Aug 13, 2026 by Pulumi

    Description for Retrieves a specific Service Bus Hybrid Connection used by this Web App.

    Uses Azure REST API version 2025-05-01.

    Other available API versions: 2016-08-01, 2018-02-01, 2018-11-01, 2019-08-01, 2020-06-01, 2020-09-01, 2020-10-01, 2020-12-01, 2021-01-01, 2021-01-15, 2021-02-01, 2021-03-01, 2022-03-01, 2022-09-01, 2023-01-01, 2023-12-01, 2024-04-01, 2024-11-01, 2025-03-01, 2026-03-01-preview, 2026-03-15, 2026-07-15. These can be accessed by generating a local SDK package using the CLI command pulumi package add azure-native web [ApiVersion]. See the version guide for details.

    Using getWebAppHybridConnectionSlot

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getWebAppHybridConnectionSlot(args: GetWebAppHybridConnectionSlotArgs, opts?: InvokeOptions): Promise<GetWebAppHybridConnectionSlotResult>
    function getWebAppHybridConnectionSlotOutput(args: GetWebAppHybridConnectionSlotOutputArgs, opts?: InvokeOutputOptions): Output<GetWebAppHybridConnectionSlotResult>
    def get_web_app_hybrid_connection_slot(name: Optional[str] = None,
                                           namespace_name: Optional[str] = None,
                                           relay_name: Optional[str] = None,
                                           resource_group_name: Optional[str] = None,
                                           slot: Optional[str] = None,
                                           opts: Optional[InvokeOptions] = None) -> GetWebAppHybridConnectionSlotResult
    def get_web_app_hybrid_connection_slot_output(name: pulumi.Input[Optional[str]] = None,
                                           namespace_name: pulumi.Input[Optional[str]] = None,
                                           relay_name: pulumi.Input[Optional[str]] = None,
                                           resource_group_name: pulumi.Input[Optional[str]] = None,
                                           slot: pulumi.Input[Optional[str]] = None,
                                           opts: Optional[InvokeOutputOptions] = None) -> Output[GetWebAppHybridConnectionSlotResult]
    func LookupWebAppHybridConnectionSlot(ctx *Context, args *LookupWebAppHybridConnectionSlotArgs, opts ...InvokeOption) (*LookupWebAppHybridConnectionSlotResult, error)
    func LookupWebAppHybridConnectionSlotOutput(ctx *Context, args *LookupWebAppHybridConnectionSlotOutputArgs, opts ...InvokeOption) LookupWebAppHybridConnectionSlotResultOutput

    > Note: This function is named LookupWebAppHybridConnectionSlot in the Go SDK.

    public static class GetWebAppHybridConnectionSlot 
    {
        public static Task<GetWebAppHybridConnectionSlotResult> InvokeAsync(GetWebAppHybridConnectionSlotArgs args, InvokeOptions? opts = null)
        public static Output<GetWebAppHybridConnectionSlotResult> Invoke(GetWebAppHybridConnectionSlotInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetWebAppHybridConnectionSlotResult> Invoke(GetWebAppHybridConnectionSlotInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetWebAppHybridConnectionSlotResult> getWebAppHybridConnectionSlot(GetWebAppHybridConnectionSlotArgs args, InvokeOptions options)
    public static Output<GetWebAppHybridConnectionSlotResult> getWebAppHybridConnectionSlot(GetWebAppHybridConnectionSlotArgs args, InvokeOptions options)
    public static Output<GetWebAppHybridConnectionSlotResult> getWebAppHybridConnectionSlot(GetWebAppHybridConnectionSlotArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: azure-native:web:getWebAppHybridConnectionSlot
      arguments:
        # arguments dictionary
    data "azure-native_web_get_web_app_hybrid_connection_slot" "name" {
        # arguments
    }

    The following arguments are supported:

    Name string
    The name of the web app.
    NamespaceName string
    The namespace for this hybrid connection.
    RelayName string
    The relay name for this hybrid connection.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    Slot string
    The name of the slot for the web app.
    Name string
    The name of the web app.
    NamespaceName string
    The namespace for this hybrid connection.
    RelayName string
    The relay name for this hybrid connection.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    Slot string
    The name of the slot for the web app.
    name string
    The name of the web app.
    namespace_name string
    The namespace for this hybrid connection.
    relay_name string
    The relay name for this hybrid connection.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    slot string
    The name of the slot for the web app.
    name String
    The name of the web app.
    namespaceName String
    The namespace for this hybrid connection.
    relayName String
    The relay name for this hybrid connection.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    slot String
    The name of the slot for the web app.
    name string
    The name of the web app.
    namespaceName string
    The namespace for this hybrid connection.
    relayName string
    The relay name for this hybrid connection.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    slot string
    The name of the slot for the web app.
    name str
    The name of the web app.
    namespace_name str
    The namespace for this hybrid connection.
    relay_name str
    The relay name for this hybrid connection.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    slot str
    The name of the slot for the web app.
    name String
    The name of the web app.
    namespaceName String
    The namespace for this hybrid connection.
    relayName String
    The relay name for this hybrid connection.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    slot String
    The name of the slot for the web app.

    getWebAppHybridConnectionSlot Result

    The following output properties are available:

    AzureApiVersion string
    The Azure API version of the resource.
    Id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.Web.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    Hostname string
    The hostname of the endpoint.
    Kind string
    Kind of resource.
    Port int
    The port of the endpoint.
    RelayArmUri string
    The ARM URI to the Service Bus relay.
    RelayName string
    The name of the Service Bus relay.
    SendKeyName string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    SendKeyValue string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    ServiceBusNamespace string
    The name of the Service Bus namespace.
    ServiceBusSuffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    AzureApiVersion string
    The Azure API version of the resource.
    Id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    Hostname string
    The hostname of the endpoint.
    Kind string
    Kind of resource.
    Port int
    The port of the endpoint.
    RelayArmUri string
    The ARM URI to the Service Bus relay.
    RelayName string
    The name of the Service Bus relay.
    SendKeyName string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    SendKeyValue string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    ServiceBusNamespace string
    The name of the Service Bus namespace.
    ServiceBusSuffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    azure_api_version string
    The Azure API version of the resource.
    id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    name string
    The name of the resource
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    hostname string
    The hostname of the endpoint.
    kind string
    Kind of resource.
    port number
    The port of the endpoint.
    relay_arm_uri string
    The ARM URI to the Service Bus relay.
    relay_name string
    The name of the Service Bus relay.
    send_key_name string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    send_key_value string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    service_bus_namespace string
    The name of the Service Bus namespace.
    service_bus_suffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    azureApiVersion String
    The Azure API version of the resource.
    id String
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    hostname String
    The hostname of the endpoint.
    kind String
    Kind of resource.
    port Integer
    The port of the endpoint.
    relayArmUri String
    The ARM URI to the Service Bus relay.
    relayName String
    The name of the Service Bus relay.
    sendKeyName String
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    sendKeyValue String
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    serviceBusNamespace String
    The name of the Service Bus namespace.
    serviceBusSuffix String
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    azureApiVersion string
    The Azure API version of the resource.
    id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    hostname string
    The hostname of the endpoint.
    kind string
    Kind of resource.
    port number
    The port of the endpoint.
    relayArmUri string
    The ARM URI to the Service Bus relay.
    relayName string
    The name of the Service Bus relay.
    sendKeyName string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    sendKeyValue string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    serviceBusNamespace string
    The name of the Service Bus namespace.
    serviceBusSuffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    azure_api_version str
    The Azure API version of the resource.
    id str
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    hostname str
    The hostname of the endpoint.
    kind str
    Kind of resource.
    port int
    The port of the endpoint.
    relay_arm_uri str
    The ARM URI to the Service Bus relay.
    relay_name str
    The name of the Service Bus relay.
    send_key_name str
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    send_key_value str
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    service_bus_namespace str
    The name of the Service Bus namespace.
    service_bus_suffix str
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    azureApiVersion String
    The Azure API version of the resource.
    id String
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    hostname String
    The hostname of the endpoint.
    kind String
    Kind of resource.
    port Number
    The port of the endpoint.
    relayArmUri String
    The ARM URI to the Service Bus relay.
    relayName String
    The name of the Service Bus relay.
    sendKeyName String
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    sendKeyValue String
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    serviceBusNamespace String
    The name of the Service Bus namespace.
    serviceBusSuffix String
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net

    Supporting Types

    SystemDataResponse

    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.26.0
    published on Thursday, Aug 13, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial